PKG_INFO(1)             NetBSD General Commands Manual             PKG_INFO(1)

NNAAMMEE
     ppkkgg__iinnffoo -- a utility for displaying information on software packages

SSYYNNOOPPSSIISS
     ppkkgg__iinnffoo [--BBbbccDDddFFffhhIIiikkLLmmNNnnppqqrrRRSSssVVvvXX] [--ee _p_a_c_k_a_g_e] [--EE _p_a_c_k_a_g_e]
              [--KK _p_k_g___d_b_d_i_r] [--ll _p_r_e_f_i_x] _p_k_g_-_n_a_m_e _._._.
     ppkkgg__iinnffoo [--aa | --uu] [flags]
     ppkkgg__iinnffoo [--QQ _v_a_r_i_a_b_l_e] _p_k_g_-_n_a_m_e _._._.

DDEESSCCRRIIPPTTIIOONN
     The ppkkgg__iinnffoo command is used to dump out information for packages, which
     may be either packed up in files or already installed on the system with
     the pkg_create(1) command.

     The _p_k_g_-_n_a_m_e may be the name of an installed package (with our without
     version), a pattern matching several installed packages (see the _P_A_C_K_A_G_E
     _W_I_L_D_C_A_R_D_S section for a description of possible patterns), the pathname
     to a binary package, a filename belonging to an installed package (if --FF
     is also given), or a URL to an ftp-available package.

     The following command-line options are supported:

     --aa      Show information for all currently installed packages.  See also
             --uu.

     --BB      Show some of the important definitions used when building the
             binary package (the ``Build information'') for each package.
             Additionally, any installation information variables (lowercase)
             can be queried, too.  In particular, _a_u_t_o_m_a_t_i_c tells if a package
             was installed automatically as a dependency of another package.

     --bb      Show the NetBSD RCS Id strings from the files used in the con-
             struction of the binary package (the "Build version") for each
             package.  These files are the package Makefile, any patch files,
             any checksum files, and the packing list file.

     --cc      Show the one-line comment field for each package.

     --DD      Show the install-message file (if any) for each package.

     --dd      Show the long-description field for each package.

     --EE _p_k_g_-_n_a_m_e
             This option allows you to test for the existence of a given pack-
             age.  If a package identified by _p_k_g_-_n_a_m_e is currently installed,
             return code is 0, otherwise 1.  The name of the best matching
             package found installed is printed to stdout unless turned off
             using the --qq option.  _p_k_g_-_n_a_m_e can contain wildcards (see the
             _P_A_C_K_A_G_E _W_I_L_D_C_A_R_D_S section below).

     --ee _p_k_g_-_n_a_m_e
             This option allows you to test for the existence of a given pack-
             age.  If a package identified by _p_k_g_-_n_a_m_e is currently installed,
             return code is 0, otherwise 1.  The names of any package(s) found
             installed are printed to stdout unless turned off using the --qq
             option.  _p_k_g_-_n_a_m_e can contain wildcards (see the _P_A_C_K_A_G_E
             _W_I_L_D_C_A_R_D_S section below).

     --FF      Interpret any pkg-name given as filename, and translate it to a
             package name using the Package Database.  This can be used to
             query information on a per-file basis, e.g. in conjunction with
             the --ee flag to find out which package a file belongs to.

     --ff      Show the packing list instructions for each package.

     --II      Show the index entry for each package.

     --ii      Show the install script (if any) for each package.

     --KK _p_k_g___d_b_d_i_r
             Override the value of the PKG_DBDIR configuration option with the
             value _p_k_g___d_b_d_i_r.

     --kk      Show the de-install script (if any) for each package.

     --LL      Show the files within each package.  This is different from just
             viewing the packing list, since full pathnames for everything are
             generated.  Files that were created dynamically during installa-
             tion of the package are not listed.

     --ll _s_t_r  Prefix each information category header (see --qq) shown with _s_t_r.
             This is primarily of use to front-end programs that want to
             request a lot of different information fields at once for a pack-
             age, but don't necessary want the output intermingled in such a
             way that they can't organize it.  This lets you add a special
             token to the start of each field.

     --mm      Show the mtree file (if any) for each package.

     --NN      Show which packages each package was built with (exact dependen-
             cies), if any.

     --nn      Show which packages each package needs (depends upon), if any.

     --pp      Show the installation prefix for each package.

     --QQ      Show the definition of _v_a_r_i_a_b_l_e from the build information for
             each package.  An empty string is returned if no such variable
             definition is found for the package(s).

     --qq      Be ``quiet'' in emitting report headers and such, just dump the
             raw info (basically, assume a non-human reading).

     --RR      For each package, show the packages that require it.

     --rr      For each package, show the packages that require it.  Continue
             recursively to show all dependents.

     --SS      Show the size of this package and all the packages it requires,
             in bytes.

     --ss      Show the size of this package in bytes.  The size is calculated
             by adding up the size of each file of the package.

     --uu      Show information for all user-installed packages.  Automatically
             installed packages (as dependencies of other packages) are not
             displayed.  See also --aa.

     --VV      Print version number and exit.

     --vv      Turn on verbose output.

     --XX      Print summary information for each package.  The summary format
             is described in pkg_summary(5).  Its primary use is to contain
             all information about the contents of a (remote) binary package
             repository needed by package managing software.

TTEECCHHNNIICCAALL DDEETTAAIILLSS
     Package info is either extracted from package files named on the command
     line, or from already installed package information in
     _<_P_K_G___D_B_D_I_R_>_/_<_p_k_g_-_n_a_m_e_>.

     A filename can be given instead of a (installed) package name to query
     information on the package this file belongs to.  This filename is then
     resolved to a package name using the Package Database.  For this transla-
     tion to take place, the --FF flag must be given.  The filename must be
     absolute, compare the output of pkg_info --aaFF.

PPAACCKKAAGGEE WWIILLDDCCAARRDDSS
     In the places where a package name/version is expected, e.g. for the --ee
     switch, several forms can be used.  Either use a package name with or
     without version, or specify a package wildcard that gets matched against
     all installed packages.

     Package wildcards use fnmatch(3).  In addition, csh(1) style {,} alter-
     nates have been implemented.  Package version numbers can also be matched
     in a relational manner using the _>_=, _<_=, _>, and _< operators.  For exam-
     ple, _p_k_g___i_n_f_o _-_e _'_n_a_m_e_>_=_1_._3_' will match versions 1.3 and later of the
     _n_a_m_e package.  Additionally, ranges can be defined by giving a lower
     bound with > or >= and an upper bound with < or <=.  The lower bound has
     to come first.  For example, _p_k_g___i_n_f_o _-_e _'_n_a_m_e_>_=_1_._3_<_2_._0_' will match ver-
     sions 1.3 (inclusive) to 2.0 (exclusive) of package _n_a_m_e.

     The collating sequence of the various package version numbers is unusual,
     but strives to be consistent.  The magic string ``alpha'' equates to
     _a_l_p_h_a _v_e_r_s_i_o_n and sorts before a beta version.  The magic string ``beta''
     equates to _b_e_t_a _v_e_r_s_i_o_n and sorts before a release candidate.  The magic
     string ``rc'' equates to _r_e_l_e_a_s_e _c_a_n_d_i_d_a_t_e and sorts before a release.
     The magic string ``pre'', short for ``pre-release'', is a synonym for
     ``rc''.  For example, _n_a_m_e_-_1_._3_r_c_3 will sort before _n_a_m_e_-_1_._3 and after
     _n_a_m_e_-_1_._2_._9.  Similarly _n_a_m_e_-_1_._3_a_l_p_h_a_2 will sort before _n_a_m_e_-_1_._3_b_e_t_a_1 and
     they both sort before _n_a_m_e_-_1_._3_r_c_1.  In addition, alphabetic characters
     sort in the same place as their numeric counterparts, so that _n_a_m_e_-_1_._2_e
     has the same sorting value as _n_a_m_e_-_1_._2_._5 The magic string ``pl'' equates
     to a _p_a_t_c_h _l_e_v_e_l and has the same value as a dot in the dewey-decimal
     ordering schemes.

EENNVVIIRROONNMMEENNTT
     See pkg_install.conf(5) for options, that can also be specified using the
     environment.

SSEEEE AALLSSOO
     pkg_add(1), pkg_admin(1), pkg_create(1), pkg_delete(1),
     pkg_install.conf(5) pkgsrc(7)

AAUUTTHHOORRSS
     Jordan Hubbard
             most of the work
     John Kohl
             refined it for NetBSD
     Hubert Feyrer
             NetBSD wildcard dependency processing, pkgdb, depends displaying,
             pkg size display etc.

NetBSD 5.0                     January 22, 2010                     NetBSD 5.0
